from pallets_sphinx_themes import get_version
from pallets_sphinx_themes import ProjectLink

# Project --------------------------------------------------------------

project = "ItsDangerous"
copyright = "2011 Pallets"
author = "Pallets"
release, version = get_version("itsdangerous")

# General --------------------------------------------------------------

master_doc = "index"
extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.intersphinx",
    "pallets_sphinx_themes",
    "sphinxcontrib.log_cabinet",
    "sphinx_issues",
]
intersphinx_mapping = {"python": ("https://docs.python.org/3/", None)}
issues_github_path = "pallets/itsdangerous"

# HTML -----------------------------------------------------------------

html_theme = "flask"
html_theme_options = {"index_sidebar_logo": False}
html_context = {
    "project_links": [
        ProjectLink("Donate to Pallets", "https://palletsprojects.com/donate"),
        ProjectLink("Website", "https://palletsprojects.com/p/itsdangerous/"),
        ProjectLink("PyPI releases", "https://pypi.org/project/itsdangerous/"),
        ProjectLink("Source Code", "https://github.com/pallets/itsdangerous/"),
        ProjectLink("Issue Tracker", "https://github.com/pallets/itsdangerous/issues/"),
    ]
}
html_sidebars = {
    "index": ["project.html", "localtoc.html", "searchbox.html"],
    "**": ["localtoc.html", "relations.html", "searchbox.html"],
}
singlehtml_sidebars = {"index": ["project.html", "localtoc.html"]}
html_static_path = ["_static"]
html_favicon = "_static/itsdangerous-logo-sidebar.png"
html_logo = "_static/itsdangerous-logo-sidebar.png"
html_title = f"{project} Documentation ({version})"
html_show_sourcelink = False

# LaTeX ----------------------------------------------------------------

latex_documents = [
    (master_doc, f"{project}-{version}.tex", html_title, author, "manual")
]
